curl --request POST \
--url https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"duration": 123,
"email": "<string>",
"firstName": "<string>",
"formFields": [
{
"name": "<string>",
"value": "<string>"
}
],
"lastName": "<string>",
"legalConsentResponses": [
{
"communicationTypeId": "<string>",
"consented": true
}
],
"likelyAvailableUserIds": [
"<string>"
],
"slug": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"locale": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book"
payload = {
"duration": 123,
"email": "<string>",
"firstName": "<string>",
"formFields": [
{
"name": "<string>",
"value": "<string>"
}
],
"lastName": "<string>",
"legalConsentResponses": [
{
"communicationTypeId": "<string>",
"consented": True
}
],
"likelyAvailableUserIds": ["<string>"],
"slug": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"locale": "<string>",
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
duration: 123,
email: '<string>',
firstName: '<string>',
formFields: [{name: '<string>', value: '<string>'}],
lastName: '<string>',
legalConsentResponses: [{communicationTypeId: '<string>', consented: true}],
likelyAvailableUserIds: ['<string>'],
slug: '<string>',
startTime: '2023-11-07T05:31:56Z',
locale: '<string>',
timezone: '<string>'
})
};
fetch('https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bookingTimezone": "<string>",
"calendarEventId": "<string>",
"contactId": "<string>",
"duration": 123,
"end": "2023-11-07T05:31:56Z",
"formFields": [
{
"isCustom": true,
"label": "<string>",
"name": "<string>",
"value": "<string>",
"fieldType": "<string>",
"translatedLabel": "<string>",
"valueLabel": "<string>"
}
],
"guestEmails": [
"<string>"
],
"isOffline": true,
"legalConsentResponses": [
{
"communicationTypeId": "<string>",
"consented": true
}
],
"start": "2023-11-07T05:31:56Z",
"subject": "<string>",
"locale": "<string>",
"location": "<string>",
"webConferenceMeetingId": "<string>",
"webConferenceUrl": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Book a meeting
指定されたミーティングページのミーティングを予約します。
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
ミーティングの所要時間(ミリ秒)。
ミーティングを予約した個人のEメールアドレス。
ミーティングを予約した個人の名。
Show child attributes
Show child attributes
ミーティングを予約した個人の姓。
Show child attributes
Show child attributes
ミーティングページの固有経路ID。
ミーティングの開始が予定されている日時(ISO 8601形式)。
ミーティング予約で日時の書式設定に使用されるロケール。
ミーティングがスケジュールされているタイムゾーン。
レスポンス
successful operation
ミーティングが予約されたタイムゾーン。
ミーティングのカレンダーイベントの固有ID。
ミーティングに関連付けられているコンタクトのID。
ミーティングの所要時間(ミリ秒)。
ミーティングの終了が予定されている日時(ISO 8601形式)。
Show child attributes
Show child attributes
ミーティングがオフラインで予約され、関連付けられたカレンダーイベントが作成されていないかどうか。
Show child attributes
Show child attributes
ミーティングの開始が予定されている日時(ISO 8601形式)。
ミーティングとカレンダーイベントのタイトル。
ミーティングの予約に使用されたロケール。カレンダーイベントの説明での日付の書式設定の決定に使用されます。
ミーティングが行われる場所の住所またはオンラインの場所。
ウェブ会議ミーティングの固有ID。
ミーティングのウェブ会議にアクセスするためのURL。